﻿using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.Grid.Cells;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;
using System.Threading;

namespace Samples
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.datagrid.CurrentCellBeginEdit += Datagrid_CurrentCellBeginEdit;           
        }

        private void Datagrid_CurrentCellBeginEdit(object sender, CurrentCellBeginEditEventArgs args)
        {
            if (this.datagrid.IsAddNewIndex(args.RowColumnIndex.RowIndex))
            {
                args.Cancel = true;
            } 
        }
      
        //private void Datagrid_RowValidating(object sender, RowValidatingEventArgs args)
        //{
        //    var grid = sender as SfDataGrid;
        //    var rowindex = grid.ResolveToRecordIndex(args.RowIndex);
        //    var data = args.RowData as Model;
        //    if (data.OrderID >= 1010)
        //    {         
        //        (datagrid.DataContext as ViewModel).OrderInfoCollection.RemoveAt(rowindex);
        //    }
        //}
        private void Hyperlink_RequestNavigate(object sender, RequestNavigateEventArgs e)
        {
            System.Diagnostics.Process.Start(e.Uri.ToString());
        }  
    }   
}